import 'package:pmd_lab/domain/models/card.dart';
import 'package:pmd_lab/repositories/api_interface.dart';

class MockRepository extends ApiInterface {
  @override
  Future<List<CardData>?> loadResults({OnErrorCallback? onError, String? q}) async {
    return [
      CardData(
        'Freeze',
        description: 'so cold..',
        img:
        'https://www.skedaddlewildlife.com/wp-content/uploads/2018/09/depositphotos_22425309-stock-photo-a-lonely-raccoon-in-winter.jpg',
      ),
      CardData(
        'Hi',
        description: 'pretty face',
        img:
        'https://www.thesprucepets.com/thmb/nKNaS4I586B_H7sEUw9QAXvWM_0=/2121x0/filters:no_upscale():strip_icc()/GettyImages-135630198-5ba7d225c9e77c0050cff91b.jpg',
      ),
      CardData(
        'Orange',
        description: 'I like autumn',
        img: 'https://furmanagers.com/wp-content/uploads/2019/11/dreamstime_l_22075357.jpg',
      ),
    ];
  }

}